This Bitnami Modules are NOT working with XAMP 7.1.4

Problems with the Windows version of XAMPP, questions, comments, and anything related.

This Bitnami Modules are NOT working with XAMP 7.1.4

Postby titokhonan » 23. June 2017 15:54

Hello, i´m not going to lie right now i´m very upset :evil:

This binamy module i have downloaded are not working poperly with my XAMP due a PHP compatibility problem like this: PHP5(mysql) PHP7(mysqli)

This modules i downloaded aren´t working properly i find them here: https://bitnami.com/stack/xampp
testlink-1.9.16
owncloud-latest.zip
orangehrm-3.3.3
bitnami-cmsmadesimple-2.1.6-1-module-windows-installer.exe

this packages are made for PHP5 and my XAMP 7.1.4 uses PHP7 the question is:
1- Can i found a version of this packages compatible with PHP7
2- it have been a long time since PHP7 was implementated, When the packages devoplers are going to update them?
3- THere is a way i can fix that compatibility problem??
4- If there is no way to fixit by myself? it´s XAMP 7.1.4 a waste of time??
titokhonan
 
Posts: 14
Joined: 23. June 2017 15:33
XAMPP version: 7.1.4
Operating System: Windows 10

Re: This Bitnami Modules are NOT working with XAMP 7.1.4

Postby Nobbie » 24. June 2017 14:40

You are barking up the wrong tree. BItname does not develop any of these tools, neither owncloud, nor testlink nor orangehrm etc. Bitnami ONLY builds packages (like distributions) with an installer. Nothing else. For any development you have to go to the specific software site.

On Sourceforge you can find ALL Xampp releases that have been distributed, pick that which fits best to these applications.

titokhonan wrote:it´s XAMP 7.1.4 a waste of time??


Your rant is a waste of time.
Nobbie
 
Posts: 9617
Joined: 09. March 2008 13:04

Re: This Bitnami Modules are NOT working with XAMP 7.1.4

Postby titokhonan » 28. June 2017 14:42

Nobbie wrote:Bitnami ONLY builds packages (like distributions) with an installer. Nothing else.


So why the instaler i have downloaded from binami, is not compatible with PHP7
titokhonan
 
Posts: 14
Joined: 23. June 2017 15:33
XAMPP version: 7.1.4
Operating System: Windows 10

Re: This Bitnami Modules are NOT working with XAMP 7.1.4

Postby Nobbie » 28. June 2017 14:59

Xampp is available in very many different releases and versions. It is on YOU to combine working packages. Not every package is compatible with every Xampp version. If you do not understand that, i think you should not use Xampp or any other tool from Bitnami.
Nobbie
 
Posts: 9617
Joined: 09. March 2008 13:04

Re: This Bitnami Modules are NOT working with XAMP 7.1.4

Postby titokhonan » 28. June 2017 18:22

Nobbie wrote:Xampp is available in very many different releases and versions. It is on YOU to combine working packages. Not every package is compatible with every Xampp version. If you do not understand that, i think you should not use Xampp or any other tool from Bitnami.


Bro what i´m saiyng is, if you people have published the Xampp version 7 with PHP7 more than 2years ago, why you don´t recompile the binami instaler.

ej: CMS made simple (FROM THE ORIGINAL WEBSITE) is compatible with php7 long time ago

How to solve? keep the instalers updated, or put a vesion list*


CMS Made Simple for php5 https://bitnami.com/redirect/to/140990/bitnami-cmsmadesimple-2.0.1-PHP5-module-windows-installer.exe
CMS Made Simple for php7 https://bitnami.com/redirect/to/140990/bitnami-cmsmadesimple-2.1.6-PHP7-module-windows-installer.exe

Not all the users of Xampp are IT profeccionals, there is somme noobs who would apreciate a little bit more of help, even the profeccionals will apreciate it.
Xampp it´s an amazing Server and it will make it more amazing if things like these do not happen.

BTW: there is some web app of Xampp to check server healt and security?
titokhonan
 
Posts: 14
Joined: 23. June 2017 15:33
XAMPP version: 7.1.4
Operating System: Windows 10

Re: This Bitnami Modules are NOT working with XAMP 7.1.4

Postby Nobbie » 28. June 2017 19:54

titokhonan wrote:Bro what i´m saiyng is, if you people have published the Xampp version 7 with PHP7 more than 2years ago, why you don´t recompile the binami instaler.


1) I am not a member from Bitnami, neither from this Xampp Forum. I am a simple user like you and cannot compile anything.
2) I dont have any clue what you are speaking about, as I installed Xampp with PHP7 flawlessly on Windows and on Linux. No hassles, nothing.

titokhonan wrote:ej: CMS made simple (FROM THE ORIGINAL WEBSITE) is compatible with php7 long time ago


My opinion on this: dont use the Bitnami installers for CMS like WordPress, Joomla etc. I dont. Simply download the packages from the original sites and install them into Xampp as you have to do on any other webserver. But if you want to use Bitnami installers instead - contact them and tell them about your problems. This forum is only for Xampp installation, you should contact Bitnami directly: https://bitnami.com/contact
Nobbie
 
Posts: 9617
Joined: 09. March 2008 13:04

Re: This Bitnami Modules are NOT working with XAMP 7.1.4

Postby titokhonan » 28. June 2017 20:37

Nobbie wrote:My opinion on this: dont use the Bitnami installers for CMS like WordPress, Joomla etc. I dont. Simply download the packages from the original sites and install them into Xampp as you have to do on any other webserver. But if you want to use Bitnami installers instead - contact them and tell them about your problems. This forum is only for Xampp installation, you should contact Bitnami directly: https://bitnami.com/contact



well this whas the answer i whas waiting. Thanks a lot for your time.
Thread closed
titokhonan
 
Posts: 14
Joined: 23. June 2017 15:33
XAMPP version: 7.1.4
Operating System: Windows 10


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 79 guests